Subject: [bug#47863] [PATCH] gnu: xfce4-settings: Add gsettings-desktop-schemas.

From: Brendan Tildesley <[email-masked]>
Date: Thu, 29 Apr 2021 07:53:05 +0200 (CEST)

> On 04/29/2021 1:23 AM Ludovic Courtès <[email-masked]> wrote:
> 
>  
> Hi,
> 
> Brendan Tildesley <[email-masked]> skribis:
> 
> > * gnu/packages/xfce.scm (xfce4-settings):[propagated-inputs]: Add
> > gsettings-desktop-schemas. This makes it appear in the system profile
> > via the xfce service. This fixes a bug where changing icon theme causes
> > xfce4-appearance-settings to crash with the error:
> >
> > GLib-GIO-ERROR **: 15:41:45.828: Settings schema 'org.gnome.desktop.interface' is not installed
> > Trace/breakpoint trap
> 
> The patch LGTM but I can’t seem to reproduce the issue here.  Namely, if
> I go to Settings → Appearance and switch from “GNOME Theme” to
> “Adwaita”, it just works.
> 
> Am I missing something?
> 
If you also have GNOME installed then it will work. GNOME provides them via propagated inputs in many packages.
For me, the theme changes, but then the settings window crashes.

BTW do you think the way the gnome package is made with propagated inputs is better than how the xfce is made by union-ing everything?